kscreen spams my systemlog

Bug #1579735 reported by Maria Schmidt
18
This bug affects 4 people
Affects Status Importance Assigned to Milestone
Kubuntu PPA
Undecided
Unassigned
kscreen (Ubuntu)
High
Unassigned

Bug Description

Dear Maintainers,

kscreen spams my systemlog with reapeating a few lines over and over again:

09.05.16 13:41 PC-name org.kde.KScreen[1466] kscreen.xcb.helper: #011Output: 67
09.05.16 13:41 PC-name org.kde.KScreen[1466] kscreen.xcb.helper: #011Property: Backlight
09.05.16 13:41 PC-name org.kde.KScreen[1466] kscreen.xcb.helper: #011State (newValue, Deleted): 0
09.05.16 13:41 PC-name org.kde.KScreen[1466] kscreen.xcb.helper: RRNotify_OutputProperty (ignored)

Thanks - Maria

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: kscreen 4:5.5.5-0ubuntu1
ProcVersionSignature: Ubuntu 4.4.0-22.39-generic 4.4.8
Uname: Linux 4.4.0-22-generic x86_64
ApportVersion: 2.20.1-0ubuntu2
Architecture: amd64
CurrentDesktop: KDE
Date: Mon May 9 13:36:36 2016
EcryptfsInUse: Yes
InstallationDate: Installed on 2016-05-02 (6 days ago)
InstallationMedia: Kubuntu 16.04 LTS "Xenial Xerus" - Release amd64 (20160420.1)
SourcePackage: kscreen
UpgradeStatus: No upgrade log present (probably fresh install)

Revision history for this message
Maria Schmidt (wettererscheinung) wrote :
Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in kscreen (Ubuntu):
status: New → Confirmed
Revision history for this message
7oby (tobias-hain) wrote :

Same here - although I have KDE 5.6.x backports enabled (PPA) and launchpad is not supposed to track bugs against PPAs:
http://www.kubuntu.org/news/plasma-5-6-4-available-in-16-04-backports/

There is an upstream Bug for this and meaning while marked as fixed:
https://bugs.kde.org/show_bug.cgi?id=361688

Upstream is against kscreen 5.6.x while Xenial includes 5.5.5-0ubuntu1. However on my backported 5.6.5-0ubuntu1~ubuntu16.04~ppa1 I do see the same output as the thread author:

Jul 24 12:00:38 thinktank org.kde.KScreen[2990]: kscreen.xcb.helper: RRNotify_OutputProperty (ignored)
Jul 24 12:00:38 thinktank org.kde.KScreen[2990]: kscreen.xcb.helper: #011Output: 67
Jul 24 12:00:38 thinktank org.kde.KScreen[2990]: kscreen.xcb.helper: #011Property: Backlight
Jul 24 12:00:38 thinktank org.kde.KScreen[2990]: kscreen.xcb.helper: #011State (newValue, Deleted): 0

Therefore it's not unlikely that the upstream fix fixes this Xenial Xerus bug as well.

Revision history for this message
Flames_in_Paradise (ellisistfroh-deactivatedaccount) wrote :

Who said launchpad isn't designed to track ppa's bugs?

affects: kscreen (Ubuntu) → kubuntu-ppa
Changed in kscreen (Ubuntu):
status: New → Confirmed
Changed in kscreen (Ubuntu):
importance: Undecided → High
Revision history for this message
Alex Ivkin (sogetthis) wrote :

After getting really annoyed at this bug, and it not being fixed I've found a workaround.
Pipe all KScreen stdout and stderr to null.

Edit /usr/share/dbus-1/services/org.kde.kscreen.service
To say

[D-BUS Service]
Name=org.kde.KScreen
Exec=/bin/sh -c '/usr/lib/x86_64-linux-gnu/libexec/kf5/kscreen_backend_launcher>/dev/null 2>/dev/null'

Revision history for this message
Simon Quigley (tsimonq2) wrote :

Thank you for taking the time to report this bug and helping to make Kubuntu better. We are sorry that we do not always have the capacity to look at all reported bugs in a timely manner. There have been many changes in Kubuntu since that time you reported the bug and your problem may have been fixed with some of the updates. It would help us a lot if you could test it on a currently supported Kubuntu version. If you test it and it is still an issue, kindly upload the updated logs by running only once:
apport-collect 1579735

and any other logs that are relevant for this particular issue.

Changed in kubuntu-ppa:
status: Confirmed → Incomplete
Changed in kscreen (Ubuntu):
status: Confirmed → Incomplete
Revision history for this message
Laurent Simon (stratic) wrote :

Same or similar bug, on a fresh Kubuntu 20.10 installation ?

28/12/2020 13:45 org.kde.KScreen kscreen.xcb.helper: RRNotify_OutputProperty (ignored)
28/12/2020 13:45 org.kde.KScreen kscreen.xcb.helper: Output: 570
28/12/2020 13:45 org.kde.KScreen kscreen.xcb.helper: Property: Backlight
28/12/2020 13:45 org.kde.KScreen kscreen.xcb.helper: State (newValue, Deleted): 0

'sys.log' is constantly filled with this.

Revision history for this message
Heinrich Stoellinger (hstoellinger1) wrote :

Same problem here!
Regards
H. Stoellinger
sudo inxi -F
System: Host: hslaptop Kernel: 5.8.0-26-generic x86_64 bits: 64 Console: tty 7 Distro: Ubuntu 20.10 (Groovy Gorilla)
Machine: Type: Laptop System: Sony product: VGN-AW11M_H v: C6010CXT serial: 28282369-5004308
Mobo: Sony model: VAIO serial: N/A BIOS: American Megatrends v: R0200Y2 date: 08/12/2008
Battery: ID-1: BAT0 charge: 72.2 Wh condition: 72.2/73.3 Wh (98%)
CPU: Info: Dual Core model: Intel Core2 Duo P8400 bits: 64 type: MCP L2 cache: 3072 KiB
Speed: 1596 MHz min/max: 1600/2267 MHz Core speeds (MHz): 1: 1596 2: 1596
Graphics: Device-1: NVIDIA G98M [GeForce 9300M GS] driver: nvidia v: 340.108
Device-2: Ricoh Visual Communication Camera VGP-VCC9 [R5U870] type: USB driver: uvcvideo
Display: server: X.Org 1.20.9 driver: nvidia note: display driver n/a FAILED: nvidia unloaded: modesetting
resolution: 1680x945~60Hz
OpenGL: renderer: GeForce 9300M GS/PCIe/SSE2 v: 3.3.0 NVIDIA 340.108
Audio: Device-1: Intel 82801I HD Audio driver: snd_hda_intel
Sound Server: ALSA v: k5.8.0-26-generic
Network: Device-1: Marvell 88E8055 PCI-E Gigabit Ethernet driver: sky2
IF: enp2s0 state: up speed: 1000 Mbps duplex: full mac: 00:1d:ba:86:ca:c7
Device-2: Intel WiFi Link 5100 driver: iwlwifi
IF: wlp5s0 state: down mac: 00:21:5d:b5:9a:72
Drives: Local Storage: total: 298.09 GiB used: 188.09 GiB (63.1%)
ID-1: /dev/sda vendor: Fujitsu model: MHZ2320BH G1 size: 298.09 GiB
Partition: ID-1: / size: 94.09 GiB used: 71.28 GiB (75.8%) fs: ext4 dev: /dev/sda5
Swap: ID-1: swap-1 type: partition size: 8.41 GiB used: 126.5 MiB (1.5%) dev: /dev/sda3
ID-2: swap-2 type: partition size: 9.97 GiB used: 0 KiB (0.0%) dev: /dev/sda1
Sensors: System Temperatures: cpu: 54.0 C mobo: 54.0 C gpu: nvidia temp: 57 C
Fan Speeds (RPM): N/A
Info: Processes: 273 Uptime: 32m Memory: 3.81 GiB used: 2.47 GiB (64.9%) Shell: Sudo inxi: 3.1.07

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.